Assignments Assignments

Macros | Functions
jcparam.cpp File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`

## Macros
#define | JPEG_INTERNALS
#define | SET_COMP(index, id, hsamp, vsamp, quant, dctbl, actbl)

## Functions
| jpeg_add_quant_table (j_compress_ptr cinfo, int which_tbl, const unsigned int *basic_table, int scale_factor, boolean force_baseline)
| jpeg_set_linear_quality (j_compress_ptr cinfo, int scale_factor, boolean force_baseline)
| jpeg_quality_scaling (int quality)
| jpeg_set_quality (j_compress_ptr cinfo, int quality, boolean force_baseline)
| add_huff_table (j_compress_ptr cinfo, JHUFF_TBL **htblptr, const UINT8 *bits, const UINT8 *val)
| std_huff_tables (j_compress_ptr cinfo)
| jpeg_set_defaults (j_compress_ptr cinfo)
| jpeg_default_colorspace (j_compress_ptr cinfo)
| jpeg_set_colorspace (j_compress_ptr cinfo, J_COLOR_SPACE colorspace)

## Macro Definition Documentation

## ◆ JPEG_INTERNALS

#define JPEG_INTERNALS

## ◆ SET_COMP

#define SET_COMP | ( |  | index,
|  |  | id,
|  |  | hsamp,
|  |  | vsamp,
|  |  | quant,
|  |  | dctbl,
|  |  | actbl )

Value:
(compptr = &cinfo->comp_info[index], \
compptr->component_id = (id), \
compptr->h_samp_factor = (hsamp), \
compptr->v_samp_factor = (vsamp), \
compptr->quant_tbl_no = (quant), \
compptr->dc_tbl_no = (dctbl), \
compptr->ac_tbl_no = (actbl) )
compptr
jpeg_component_info * compptr
Definition jdct.h:102
jpeg_component_info::quant_tbl_no
int quant_tbl_no
Definition jpeglib.h:124
jpeg_component_info::component_id
int component_id
Definition jpeglib.h:120
jpeg_component_info::dc_tbl_no
int dc_tbl_no
Definition jpeglib.h:129
jpeg_component_info::h_samp_factor
int h_samp_factor
Definition jpeglib.h:122
jpeg_component_info::v_samp_factor
int v_samp_factor
Definition jpeglib.h:123
jpeg_component_info::ac_tbl_no
int ac_tbl_no
Definition jpeglib.h:130

## Function Documentation

## ◆ add_huff_table()

add_huff_table | ( | j_compress_ptr | cinfo,
|  | JHUFF_TBL ** | htblptr,
|  | const UINT8 * | bits,
|  | const UINT8 * | val )

## ◆ jpeg_add_quant_table()

jpeg_add_quant_table | ( | j_compress_ptr | cinfo,
|  | int | which_tbl,
|  | const unsigned int * | basic_table,
|  | int | scale_factor,
|  | boolean | force_baseline )

## ◆ jpeg_default_colorspace()

jpeg_default_colorspace | ( | j_compress_ptr | cinfo | ) |

## ◆ jpeg_quality_scaling()

jpeg_quality_scaling | ( | int | quality | ) |

## ◆ jpeg_set_colorspace()

jpeg_set_colorspace | ( | j_compress_ptr | cinfo,
|  | J_COLOR_SPACE | colorspace )

## ◆ jpeg_set_defaults()

jpeg_set_defaults | ( | j_compress_ptr | cinfo | ) |

## ◆ jpeg_set_linear_quality()

jpeg_set_linear_quality | ( | j_compress_ptr | cinfo,
|  | int | scale_factor,
|  | boolean | force_baseline )

## ◆ jpeg_set_quality()

jpeg_set_quality | ( | j_compress_ptr | cinfo,
|  | int | quality,
|  | boolean | force_baseline )

## ◆ std_huff_tables()

std_huff_tables | ( | j_compress_ptr | cinfo | ) |